---
#
#      Copyright (c) 2024 Pensando Systems
#      All rights reserved.
#
#      author: Pensando - Technical Business Development Team
#
#      Demonstration of how to create a VRF in PSM
#
#      usage:
#
#             To demo pushing a new VRF to PSM
#
#               ./virtual_router_create.yml
#
#
- hosts: localhost
  gather_facts: False

  tasks:
    - name: Create Virtual Router
      dss_virtual_router:
        state: present
        psm_host: '{{ lookup("env", "PSM_IP") }}'
        psm_user: '{{ lookup("env", "PSM_USER") }}'
        psm_password: '{{ lookup("env", "PSM_PASSWORD") }}'
        virtual_router_name: vrf-test-ansible-1234
        egress_security_policy:
            - test-ansible-policy
        ingress_nat_policy:
            - nat_ingress_aaa
            - nat_ingress_bbb
        egress_nat_policy:
            - nat_egress_ccc
        ipsec_policy:
            - ipsec-pol1
        maximum_sessions_per_network_per_distributed_services_entity: 10000
        allow_session_reuse: disable
        vxlan_vni: 42
